%define rel   1

Name: libkdcraw
Summary: C++ interface around LibRaw library
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkdcraw
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(lcms)

# Branch Patch (100-200)

%description
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files
%doc README AUTHORS NEWS TODO 

#------------------------------------------------------------------------------

%package common
Summary: Non-library files for the kdcraw library
Group: Graphical desktop/KDE
BuildArch: noarch
%description common
Common files for the kdcraw library

%files common
%_kde_appsdir/libkdcraw
%_kde_iconsdir/hicolor/*/apps/kdcraw.png

#------------------------------------------------------------------------------

%define kdcraw_major 20
%define libkdcraw %mklibname kdcraw %kdcraw_major

%package -n %{libkdcraw}
Summary: Kdcraw library
Group: System/Libraries

%description -n %{libkdcraw}
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files -n %{libkdcraw}
%_kde_libdir/libkdcraw.so.%{kdcraw_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libkdcraw = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.90

%description devel
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kde_includedir/libkdcraw/
%_kde_libdir/libkdcraw.so
%_kde_libdir/pkgconfig/libkdcraw.pc

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Fri Apr 06 2012 tmb <tmb> 2:4.8.2-1.mga2
+ Revision: 228948
- update to 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221506
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198104
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 190865
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185808
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182168
- Update tarball to KDE SC 4.7.90
- Remove redundant requires in -devel package
- use gold linker
- build with  -DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176512
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161394
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151978
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140669
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Build common package as noarch
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122304
- Update tarball to KDE SC 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-2.mga2
+ Revision: 115737
- imported package libkdcraw

  + fwang <fwang>
    - add conflits on older package for upgrading

